Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job.entry.validator
Class ValidatorContext

    java.lang.Object
      org.pentaho.di.job.entry.validator.ValidatorContext

    public class ValidatorContext

extends Object

Constructor Summary
`ValidatorContext()`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(String key)`
`boolean` | `containsValue(Object value)`
`Set<Map.Entry<String,Object>>` | `entrySet()`
`Object` | `get(String key)`
`Map<String,Object>` | `getMap()`
`boolean` | `isEmpty()`
`Set<String>` | `keySet()`
`ValidatorContext` | `put(String key, Object value)`
`ValidatorContext` | `putAll(Map<String,Object> t)`
`ValidatorContext` | `putAsList(String key, Object... value)`
`Object` | `remove(String key)`
`int` | `size()`
`Collection<Object>` | `values()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidatorContext

    public ValidatorContext()

Method Detail

### getMap

    public Map<String,Object> getMap()

### put

    public ValidatorContext put(String key,
                                Object value)

### putAsList

    public ValidatorContext putAsList(String key,
                                      Object... value)

### clear

    public void clear()

### containsKey

    public boolean containsKey(String key)

### containsValue

    public boolean containsValue(Object value)

### entrySet

    public Set<Map.Entry<String,Object>> entrySet()

### get

    public Object get(String key)

### isEmpty

    public boolean isEmpty()

### keySet

    public Set<String> keySet()

### putAll

    public ValidatorContext putAll(Map<String,Object> t)

### remove

    public Object remove(String key)

### size

    public int size()

### values

    public Collection<Object> values()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD